curl --request GET \
--url https://{instance}.domo.com/v2/applications/{applicationId}/jobs \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/v2/applications/{applicationId}/jobs"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/v2/applications/{applicationId}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "94a4edfa-5926-4f0c-ad1e-a341f53f6113",
"displayType": "DataFlow",
"type": "DataFlow",
"name": "DomoStats People with Activity Log",
"owner": {
"id": "",
"name": "",
"type": "USER",
"group": false
},
"status": "SUCCESS",
"created": 1624432428000,
"lastTouched": 1651769881000,
"rowCount": 833556,
"columnCount": 18,
"cardInfo": {
"cardCount": 9,
"cardViewCount": 0
},
"properties": {
"formulas": {}
},
"lastUpdated": 1651769880787,
"validConfiguration": true,
"validAccount": true,
"adc": true,
"cloudId": "domo",
"permissions": "READ_WRITE_DELETE_SHARE_ADMIN",
"tags": "[\"domoStats\",\"domostats\",\"c_people\"]"
}Get List of Jobs
Retrieve a list of jobs for a specific application
Authorizations
Domo Developer Token for authentication
Path Parameters
ID of the application
Query Parameters
The results offset. The default is 0.
Response
Job details
Application ID
"94a4edfa-5926-4f0c-ad1e-a341f53f6113"
Display type of the application
"DataFlow"
Type of the application
"DataFlow"
Name of the application
"DomoStats People with Activity Log"
Show child attributes
Show child attributes
Status of the application
"SUCCESS"
Creation timestamp
1624432428000
Last touched timestamp
1651769881000
Number of rows
833556
Number of columns
18
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last updated timestamp
1651769880787
Whether configuration is valid
true
Whether account is valid
true
ADC flag
true
Cloud ID
"domo"
Permissions
"READ_WRITE_DELETE_SHARE_ADMIN"
Tags in JSON string format
"[\"domoStats\",\"domostats\",\"c_people\"]"